Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.evaluator
Class EvaluatorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wlpi.common.WorkflowException
                        |
                        +--com.bea.wlpi.evaluator.EvaluatorException

public class EvaluatorException
extends WorkflowException

Exception class thrown by evaluator methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.WorkflowException
`ERROR_CUSTOM, ERROR_SYSTEM, ERROR_UNKNOWN, ERROR_WORKFLOW, WARNING_WORKFLOW`

Constructor Summary
`EvaluatorException(java.lang.Exception e)`
`EvaluatorException(java.lang.Exception e, int msgNum)`
`EvaluatorException(java.lang.Exception e, int msgNum, java.lang.Object[] args)`
`EvaluatorException(int msgNum)`
`EvaluatorException(int msgNum, java.lang.Object[] args)`

Methods inherited from class com.bea.wlpi.common.WorkflowException
`getLocalizedMessage, getLocalizedMessage, getLocalizedSeverityDescription, getMessage, getMessageNumber, getNestedException, getOrigin, getOriginalException, getOriginalException, getSeverity, getSeverityDescription, isDeadlock, isDeadlock, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluatorException

    public EvaluatorException(java.lang.Exception e)

### EvaluatorException

    public EvaluatorException(java.lang.Exception e,
                              int msgNum)

### EvaluatorException

    public EvaluatorException(java.lang.Exception e,
                              int msgNum,
                              java.lang.Object[] args)

### EvaluatorException

    public EvaluatorException(int msgNum)

### EvaluatorException

    public EvaluatorException(int msgNum,
                              java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)